Link Following

Affecting perl package, versions <5.24.1-3+deb9u4

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

In Perl through 5.26.2, the Archive::Tar module allows remote attackers to bypass a directory-traversal protection mechanism, and overwrite arbitrary files, via an archive file containing a symlink and a regular file with the same name.

References

CVSS Score

7.5
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    None
  • Integrity
    High
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N
CVE
CVE-2018-12015
CWE
CWE-59
Snyk ID
SNYK-DEBIAN9-PERL-327722
Disclosed
07 Jun, 2018
Published
07 Jun, 2018